\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Handles and Circulators

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Assertions
Handles and Circulators Reference

##

Each of the following assertions, applicable to an iterator or a circulator or both, checks at compile time if its argument is of the kind stated in the assertions name, i.e. a circulator, an iterator, or a particular category of either an iterator or a circulator.

Note that neither input nor output circulators exists.

See Also
  `Circulator_tag`
  `Circulator_traits`
  `query_circulator_or_iterator`
  `Circulator`

## Functions
template<class C >
void | CGAL::Assert_circulator (const C &c)
| checks at compile time if its argument is a circulator.
template<class I >
void | CGAL::Assert_iterator (const I &i)
| checks at compile time if its argument is an iterator.
template<class IC >
void | CGAL::Assert_circulator_or_iterator (const IC &i)
| checks at compile time if its argument is a circulator or iterator.
template<class I >
void | CGAL::Assert_input_category (const I &i)
template<class I >
void | CGAL::Assert_output_category (const I &i)
template<class IC >
void | CGAL::Assert_forward_category (const IC &ic)
template<class IC >
void | CGAL::Assert_bidirectional_category (const IC &ic)
template<class IC >
void | CGAL::Assert_random_access_category (const IC &ic)